# Adding GKE clusters

> 原文：[https://docs.gitlab.com/ee/user/project/clusters/add_gke_clusters.html](https://docs.gitlab.com/ee/user/project/clusters/add_gke_clusters.html)

*   [GKE requirements](#gke-requirements)
*   [New GKE cluster](#new-gke-cluster)
    *   [Creating the cluster on GKE](#creating-the-cluster-on-gke)
    *   [Cloud Run for Anthos](#cloud-run-for-anthos)
*   [Existing GKE cluster](#existing-gke-cluster)

# Adding GKE clusters[](#adding-gke-clusters "Permalink")

GitLab 支持添加新的和现有的 GKE 集群.

## GKE requirements[](#gke-requirements "Permalink")

在通过 GitLab 集成在 Google GKE 上创建第一个集群之前，请确保满足以下要求：

*   设置了具有访问权限的[结算帐户](https://cloud.google.com/billing/docs/how-to/manage-billing-account) .
*   启用了 Kubernetes Engine API 和相关服务. 它应该可以立即工作，但是创建项目后最多可能需要 10 分钟. 有关更多信息，请参见[Kubernetes Engine 文档](https://cloud.google.com/kubernetes-engine/docs/quickstart#before-you-begin)的["开始之前"部分](https://cloud.google.com/kubernetes-engine/docs/quickstart#before-you-begin) .

## New GKE cluster[](#new-gke-cluster "Permalink")

从[GitLab 12.4](https://gitlab.com/gitlab-org/gitlab/-/issues/25925)开始， [GitLab](https://gitlab.com/gitlab-org/gitlab/-/issues/25925)提供的所有 GKE 群集均为[VPC 本地的](https://cloud.google.com/kubernetes-engine/docs/how-to/alias-ips) .

请注意以下几点：

*   必须在实例级别的 GitLab 中启用[Google 身份验证集成](../../../integration/google.html) . 如果不是这种情况，请要求您的 GitLab 管理员启用它. 在 GitLab.com 上启用了此功能.
*   从[GitLab 12.1](https://gitlab.com/gitlab-org/gitlab-foss/-/issues/55902)开始，由[GitLab](https://gitlab.com/gitlab-org/gitlab-foss/-/issues/55902)创建的所有 GKE 集群都启用了 RBAC. 请参阅[RBAC 部分](add_remove_clusters.html#rbac-cluster-resources)以获取更多信息.
*   从[GitLab 12.5](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/18341)开始，群集的 Pod 地址 IP 范围将设置为/ 16，而不是常规的/ 14\. / 16 是 CIDR 表示法.
*   GitLab 要求启用基本身份验证并为集群颁发客户端证书，以设置[初始服务帐户](add_remove_clusters.html#access-controls) . 在[GitLab 11.10 及更高版本中](https://gitlab.com/gitlab-org/gitlab-foss/-/issues/58208) ，集群创建过程明确要求 GKE 创建启用了基本身份验证和客户端证书的集群.

### Creating the cluster on GKE[](#creating-the-cluster-on-gke "Permalink")

要创建新的 Kubernetes 集群并将其添加到您的项目，组或实例：

1.  导航到您的：
    *   项目的 **操作> Kubernetes**页面，用于项目级集群.
    *   组的 **Kubernetes**页面，用于组级别集群.
    *   **管理区>** **Kubernetes**页面，用于实例级集群.
2.  Click **添加 Kubernetes 集群**.
3.  在[ **建立新丛集]**标签下，按一下[ **Google GKE]** .
4.  如果尚未连接 Google 帐户，请单击" **使用 Google 登录"**按钮.
5.  选择集群的设置：
    *   **Kubernetes 集群名称** -您希望赋予集群的名称.
    *   **环境范围** -该集群的[关联环境](index.html#setting-the-environment-scope-premium) .
    *   **Google Cloud Platform 项目** -选择您在 GCP 控制台中创建的将托管 Kubernetes 集群的项目. 了解有关[Google Cloud Platform 项目的](https://cloud.google.com/resource-manager/docs/creating-managing-projects)更多信息.
    *   **区域** -选择将在其下创建群集的[区域区域](https://cloud.google.com/compute/docs/regions-zones/) .
    *   **节点数** -输入希望群集具有的节点数.
    *   **计算机类型** -群集将基于的虚拟机实例的[计算机类型](https://cloud.google.com/compute/docs/machine-types) .
    *   **为 Anthos 启用 Cloud Run-**如果要对此集群使用 Cloud Run for Anthos，请选中此复选框. 有关更多信息，请参见[Anthos](#cloud-run-for-anthos)的[Cloud Run 部分](#cloud-run-for-anthos) .
    *   **由 GitLab 管理的群集** -如果要让 GitLab 管理该群集的名称空间和服务帐户，请选中此复选框. 有关更多信息，请参见[托管集群部分](index.html#gitlab-managed-clusters) .
6.  最后，单击**创建 Kubernetes 集群**按钮.

几分钟后，您的集群将准备就绪. 现在，您可以继续安装一些[预定义的应用程序](index.html#installing-applications) .

### Cloud Run for Anthos[](#cloud-run-for-anthos "Permalink")

在 GitLab 12.4 中[引入](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/16566) .

创建群集后，可以选择使用 Cloud Run for Anthos 代替分别安装 Knative 和 Istio. 这意味着将在创建时在集群上启用 Cloud Run（Knative），Istio 和 HTTP Load Balancing，并且不能单独[安装或卸载](../../clusters/applications.html) .

## Existing GKE cluster[](#existing-gke-cluster "Permalink")

有关添加现有 GKE 群集的信息，请参阅" [现有 Kubernetes 群集"](add_remove_clusters.html#existing-kubernetes-cluster) .