# Installation

> 原文：[https://docs.gitlab.com/ee/install/README.html](https://docs.gitlab.com/ee/install/README.html)

*   [Requirements](#requirements)
*   [Installing GitLab using the Omnibus GitLab package (recommended)](#installing-gitlab-using-the-omnibus-gitlab-package-recommended)
*   [Installing GitLab on Kubernetes via the GitLab Helm charts](#installing-gitlab-on-kubernetes-via-the-gitlab-helm-charts)
*   [Installing GitLab with Docker](#installing-gitlab-with-docker)
*   [Installing GitLab from source](#installing-gitlab-from-source)
*   [Installing GitLab on cloud providers](#installing-gitlab-on-cloud-providers)
*   [Securing your GitLab installation](#securing-your-gitlab-installation)

# Installation[](#installation-core-only "Permalink")

GitLab 可以安装在大多数 GNU / Linux 发行版以及许多云提供商中. 为了从 GitLab 获得最佳体验，您需要在性能，可靠性，易于管理（备份，升级和故障排除）以及托管成本之间取得平衡.

根据平台的不同，可以通过多种方式安装 GitLab：

1.  **Omnibus GitLab** ：官方的 deb / rpm 软件包，包含捆绑的 GitLab 及其依赖的各种组件，例如 PostgreSQL，Redis，Sidekiq 等.
2.  **GitLab Helm 图表** ：用于在 Kubernetes 上安装 GitLab 及其所有组件的云原生 Helm 图表.
3.  **码头**工人：Omnibus GitLab 软件包码头化.
4.  **来源** ：从头开始安装 GitLab 及其所有组件.

**如有疑问，请选择 Omnibus：** Omnibus GitLab 软件包已经成熟， [可扩展，](../administration/reference_architectures/index.html)并且已在 GitLab.com 上使用. 建议向熟悉 Kubernetes 的人使用 Helm 图表.

## Requirements[](#requirements "Permalink")

在安装 GitLab 之前，查看系统[要求](requirements.html)至关重要. 系统要求包括有关最低硬件，软件，数据库以及支持 GitLab 的其他要求的详细信息.

## Installing GitLab using the Omnibus GitLab package (recommended)[](#installing-gitlab-using-the-omnibus-gitlab-package-recommended "Permalink")

Omnibus GitLab 软件包使用我们的官方 deb / rpm 存储库. 建议大多数用户使用.

如果您需要更多的灵活性和弹性，我们建议按照[参考架构文档](../administration/reference_architectures/index.html)中的[说明](../administration/reference_architectures/index.html)部署 GitLab.

[**> Install GitLab using the Omnibus GitLab package.**](https://about.gitlab.com/install/)

## Installing GitLab on Kubernetes via the GitLab Helm charts[](#installing-gitlab-on-kubernetes-via-the-gitlab-helm-charts "Permalink")

**需要 Kubernetes 经验：**我们建议您先熟悉 Kubernetes，然后再使用 Kubernetes 在生产中部署 GitLab. 管理，可观察性和某些概念的方法与传统部署不同.

在 Kubernetes 上安装 GitLab 时，需要注意一些折衷：

*   管理和故障排除需要 Kubernetes 知识.
*   对于较小的安装，它可能会更昂贵. 默认安装比单节点 Omnibus 部署需要更多的资源，因为大多数服务都是以冗余方式部署的.
*   有一些功能[限制需要注意](https://docs.gitlab.com/charts/) .

[**> Install GitLab on Kubernetes using the GitLab Helm charts.**](https://docs.gitlab.com/charts/)

## Installing GitLab with Docker[](#installing-gitlab-with-docker "Permalink")

GitLab 基于 Omnibus GitLab 软件包维护一组正式的 Docker 映像.

[**> Install GitLab using the official GitLab Docker images.**](docker.html)

## Installing GitLab from source[](#installing-gitlab-from-source "Permalink")

如果您的发行版中没有 Omnibus GitLab 软件包，则可以从源代码安装 GitLab：对于* BSD 等不受支持的系统很有用. 有关目录结构的概述，请阅读[结构文档](structure.html) .

[**> Install GitLab from source.**](installation.html)

## Installing GitLab on cloud providers[](#installing-gitlab-on-cloud-providers "Permalink")

只要有云提供商支持，就可以使用上述任何一种方法将 GitLab 安装在各种云提供商上.

*   [在 AWS 上](aws/index.html)安装：使用 GitLab 提供的社区 AMI 在 AWS [上](aws/index.html)安装 Omnibus GitLab.
*   [在 Google Cloud Platform 上安装 GitLab](google_cloud_platform/index.html) ：在 GCP 中的 VM 上安装 Omnibus GitLab.
*   [在 Azure 上](azure/index.html)安装 GitLab：从 Azure 市场安装 Omnibus GitLab.
*   [在 OpenShift 上](https://docs.gitlab.com/charts/installation/cloud/openshift.html)安装 GitLab：通过使用 GitLab 的 Helm 图表在 OpenShift [上](https://docs.gitlab.com/charts/installation/cloud/openshift.html)安装 GitLab.
*   [在 DC / OS 上](https://d2iq.com/blog/gitlab-dcos)安装 GitLab：通过[GitLab-Mesosphere 集成](https://about.gitlab.com/blog/2016/09/16/announcing-gitlab-and-mesosphere/)在 Mesosphere DC / OS 上安装 GitLab.
*   [在 DigitalOcean 上安装 GitLab：在 DigitalOcean 上](https://about.gitlab.com/blog/2016/04/27/getting-started-with-gitlab-and-digitalocean/)安装 Omnibus GitLab.
*   *仅测试！* [DigitalOcean 和 Docker Machine](digitaloceandocker.html) ：使用 Docker Machine 在 DigitalOcean 上快速测试任何版本的 GitLab.

## Securing your GitLab installation[](#securing-your-gitlab-installation "Permalink")

完成安装后，请查看我们[建议的做法以保护您的 GitLab 实例](../security/README.html#securing-your-gitlab-installation) .