# Productivity Analytics

> 原文：[https://docs.gitlab.com/ee/user/analytics/productivity_analytics.html](https://docs.gitlab.com/ee/user/analytics/productivity_analytics.html)

*   [Supported features](#supported-features)
*   [Accessing metrics and visualizations](#accessing-metrics-and-visualizations)
*   [Date ranges](#date-ranges)
*   [Permissions](#permissions)
*   [Enabling and disabling using feature flags](#enabling-and-disabling-using-feature-flags)

# Productivity Analytics[](#productivity-analytics-premium "Permalink")

[Introduced](https://gitlab.com/gitlab-org/gitlab/-/issues/12079) in [GitLab Premium](https://about.gitlab.com/pricing/) 12.3.

使用 Productivity Analytics 追踪发展速度.

For many companies, the development cycle is a black box and getting an estimate of how long, on average, it takes to deliver features is an enormous endeavor.

虽然[价值流分析](../project/cycle_analytics.html)专注于整个软件开发生命周期（SDLC）流程，但生产力分析为工程管理提供了一种以系统的方式向下钻取的方法，以揭示在个人，项目或团队级别上的模式以及成败的原因.

生产力降低的原因很多，从降低代码库到快速成长的团队. 为了进行调查，部门或团队负责人可以从可视化合并请求所花费的时间开始.

## Supported features[](#supported-features "Permalink")

生产力分析允许 GitLab 用户执行以下操作：

*   可视化典型的合并请求（MR）生存期和统计信息. 使用直方图显示创建和合并合并请求之间经过的时间分布.
*   深入研究最耗时的合并请求，选择一些异常值，然后筛选所有后续图表以调查潜在原因.
*   按组，项目，作者，标签，里程碑或特定日期范围过滤. 例如，在里程碑或特定日期范围内，筛选出组或项目中特定作者的合并请求.
*   测量随时间变化的速度. 随时间推移可视化以上图表中每个指标的趋势，以观察进度. 如果发现异常值，请放大特定的日期范围.

## Accessing metrics and visualizations[](#accessing-metrics-and-visualizations "Permalink")

要访问该图表，请导航至组的侧边栏，然后选择**Analytics（分析）> Productivity Analytics（生产力分析）** .

以下度量标准和可视化在项目或组级别可用-当前仅涵盖**合并的**合并请求：

*   直方图，显示创建后经过指定天数进行合并的合并请求数. 选择一个特定的列以筛选后续的图表.
*   直方图显示了合并合并请求所花费的时间（以小时为单位）的细目. 可以使用以下间隔：
    *   从第一次提交到第一次评论的时间.
    *   从第一次评论到最后一次提交的时间.
    *   从上次提交到合并的时间.
*   使用以下内容显示合并请求的大小或复杂度的直方图：
    *   每个合并请求的提交数.
    *   每次提交的代码行数.
    *   触摸的文件数.
*   散点图显示所有 MR 在特定日期合并，以及完成操作所需的天数和 30 天的滚动中位数.
*   该表显示了合并请求的列表及其各自的持续时间指标.
    *   用户可以按上述任何指标进行排序.

## Date ranges[](#date-ranges "Permalink")

在 GitLab 12.4 中[引入](https://gitlab.com/gitlab-org/gitlab/-/issues/13188) .

GitLab 能够根据日期范围过滤分析. 要过滤结果：

1.  选择一个组.
2.  （可选）选择一个项目.
3.  使用可用的日期选择器选择日期范围.

## Permissions[](#permissions "Permalink")

只能访问**Productivity Analytics**仪表板：

*   在[高级或银级](https://about.gitlab.com/pricing/)以上.
*   由具有[Reporter 访问权限](../permissions.html)及以上[权限的](../permissions.html)用户组成.

## Enabling and disabling using feature flags[](#enabling-and-disabling-using-feature-flags "Permalink")

生产力分析是：

*   [默认情况下](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/18754)从 GitLab 12.4 [启用](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/18754) ，但可以使用以下功能标志禁用：
    *   `productivity_analytics` .
    *   `productivity_analytics_scatterplot_enabled` .
*   在 GitLab 12.3 中默认为禁用，但可以使用以下功能标志启用：
    *   `productivity_analytics` .

GitLab 管理员可以：

*   通过在 Rails 控制台中运行以下命令，从 GitLab 12.4 禁用此功能：

    ```
    Feature.disable(:productivity_analytics)
    Feature.disable(:productivity_analytics_scatterplot_enabled) 
    ```

*   通过在 Rails 控制台中运行以下命令，在 GitLab 12.3 中启用此功能：

    ```
    Feature.enable(:productivity_analytics) 
    ```